Package org.jbpm.casemgmt.api.event

## Class CaseRoleAssignmentEvent

- java.lang.Object
- - org.jbpm.casemgmt.api.event.CaseEvent
  - - org.jbpm.casemgmt.api.event.CaseRoleAssignmentEvent

-     public class CaseRoleAssignmentEvent
      extends CaseEvent

  Represents occurrence of role assignment on a case operation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseRoleAssignmentEvent​(String user, String caseId, CaseFileInstance caseFile, String role, org.kie.api.task.model.OrganizationalEntity entity)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.task.model.OrganizationalEntity` | `getEntity()` | Returns organizational entity (user or group) that the assignment is changed for
    `String` | `getRole()` | Returns name of the role that assignment is changed for
    `String` | `toString()` |

    - ### Methods inherited from class org.jbpm.casemgmt.api.event.CaseEvent

      `getCaseFile, getCaseId, getUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseRoleAssignmentEvent

          public CaseRoleAssignmentEvent​(String user,
                                         String caseId,
                                         CaseFileInstance caseFile,
                                         String role,
                                         org.kie.api.task.model.OrganizationalEntity entity)

  - ### Method Detail

    - #### getRole

          public String getRole()

      Returns name of the role that assignment is changed for

    - #### getEntity

          public org.kie.api.task.model.OrganizationalEntity getEntity()

      Returns organizational entity (user or group) that the assignment is changed for

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`